zenilib: zenilib/jni/external/sdl/src/core/android/SDL_android.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_android.h File Reference
`#include "SDL_config.h"`
`#include <EGL/eglplatform.h>`
`#include <android/native_window_jni.h>`
`#include "SDL_rect.h"`
`#include "SDL_rwops.h"`
`#include <jni.h>`

Go to the source code of this file.

## Functions

void | Android_JNI_CloseAudioDevice ()
int | Android_JNI_FileClose (SDL_RWops *ctx)
int | Android_JNI_FileOpen (SDL_RWops *ctx, const char *fileName, const char *mode)
size_t | Android_JNI_FileRead (SDL_RWops *ctx, void *buffer, size_t size, size_t maxnum)
Sint64 | Android_JNI_FileSeek (SDL_RWops *ctx, Sint64 offset, int whence)
Sint64 | Android_JNI_FileSize (SDL_RWops *ctx)
size_t | Android_JNI_FileWrite (SDL_RWops *ctx, const void *buffer, size_t size, size_t num)
SDL_bool | Android_JNI_GetAccelerometerValues (float values[3])
void * | Android_JNI_GetAudioBuffer ()
char * | Android_JNI_GetClipboardText ()
JNIEnv * | Android_JNI_GetEnv (void)
ANativeWindow * | Android_JNI_GetNativeWindow (void)
int | Android_JNI_GetPowerInfo (int *plugged, int *charged, int *battery, int *seconds, int *percent)
SDL_bool | Android_JNI_HasClipboardText ()
void | Android_JNI_HideTextInput ()
int | Android_JNI_OpenAudioDevice (int sampleRate, int is16Bit, int channelCount, int desiredBufferFrames)
int | Android_JNI_SendMessage (int command, int param)
void | Android_JNI_SetActivityTitle (const char *title)
int | Android_JNI_SetClipboardText (const char *text)
int | Android_JNI_SetupThread (void)
void | Android_JNI_ShowTextInput (SDL_Rect *inputRect)
void | Android_JNI_SwapWindow ()
void | Android_JNI_WriteAudioBuffer ()

## Function Documentation

void Android_JNI_CloseAudioDevice | ( |  | ) |

int Android_JNI_FileClose | ( | SDL_RWops * | ctx | ) |

Referenced by SDL_RWFromFile().

int Android_JNI_FileOpen | ( | SDL_RWops * | ctx,
|  | const char * | fileName,
|  | const char * | mode
| ) |  |

Referenced by SDL_RWFromFile().

size_t Android_JNI_FileRead | ( | SDL_RWops * | ctx,
|  | void * | buffer,
|  | size_t | size,
|  | size_t | maxnum
| ) |  |

Referenced by SDL_RWFromFile().

Sint64 Android_JNI_FileSeek | ( | SDL_RWops * | ctx,
|  | Sint64 | offset,
|  | int | whence
| ) |  |

Referenced by SDL_RWFromFile().

Sint64 Android_JNI_FileSize | ( | SDL_RWops * | ctx | ) |

Referenced by SDL_RWFromFile().

size_t Android_JNI_FileWrite | ( | SDL_RWops * | ctx,
|  | const void * | buffer,
|  | size_t | size,
|  | size_t | num
| ) |  |

Referenced by SDL_RWFromFile().

SDL_bool Android_JNI_GetAccelerometerValues | ( | float | values[3] | ) |

void* Android_JNI_GetAudioBuffer | ( |  | ) |

char* Android_JNI_GetClipboardText | ( |  | ) |

JNIEnv* Android_JNI_GetEnv | ( | void |  | ) |

ANativeWindow* Android_JNI_GetNativeWindow | ( | void |  | ) |

int Android_JNI_GetPowerInfo | ( | int * | plugged,
|  | int * | charged,
|  | int * | battery,
|  | int * | seconds,
|  | int * | percent
| ) |  |

SDL_bool Android_JNI_HasClipboardText | ( |  | ) |

void Android_JNI_HideTextInput | ( |  | ) |

int Android_JNI_OpenAudioDevice | ( | int | sampleRate,
|  | int | is16Bit,
|  | int | channelCount,
|  | int | desiredBufferFrames
| ) |  |

int Android_JNI_SendMessage | ( | int | command,
|  | int | param
| ) |  |

void Android_JNI_SetActivityTitle | ( | const char * | title | ) |

int Android_JNI_SetClipboardText | ( | const char * | text | ) |

int Android_JNI_SetupThread | ( | void |  | ) |

Referenced by RunThread().

void Android_JNI_ShowTextInput | ( | SDL_Rect * | inputRect | ) |

void Android_JNI_SwapWindow | ( |  | ) |

void Android_JNI_WriteAudioBuffer | ( |  | ) |